<!DOCTYPE html>
<html lang="{{ .Site.LanguageCode }}">

<head>
  {{ hugo.Generator }}
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>{{ block "title" . }}{{ .Title }}{{ end }} | {{ .Site.Title }}</title>

  {{ with .Description }}
  <meta name="description" content="{{ . }}"> {{ end }}
  <!-- noindex meta -->
  {{ $default_noindex_kinds := slice "section" "taxonomy" "taxonomyTerm" }}
  {{ $noindex_kinds := .Site.Params.noindex_kinds | default $default_noindex_kinds }}
  {{ $is_noindex_true := and (isset .Params "noindex") .Params.noindex }}
  {{ if or (in $noindex_kinds .Kind) ($is_noindex_true) }}
  <meta name="robots" content="noindex">
  {{ end }}

  {{ partial "meta/name-author" . }}
  {{ template "_internal/opengraph.html" . }}
  {{ partial "meta/ogimage" . }}
  <!-- Site verification -->
  {{ if .IsHome }} {{ partial "site-verification" . }} {{ end }}
  <!-- add googleAnalytics in config.toml -->
  {{ template "_internal/google_analytics.html" . }}
  <link href="{{ with .OutputFormats.Get "RSS" }}{{ .RelPermalink }}{{ end }}" rel="alternate" type="application/rss+xml" title="{{ .Site.Title }}" />

  <link rel="canonical" href="{{ .Permalink }}"> {{ if (isset .Params "prev") }}
  <link rel="prev" href="{{ .Params.prev }}"> {{ end }} {{ if (isset .Params "next") }}
  <link rel="next" href="{{ .Params.next }}"> {{ end }}

  {{ partial "favicon" . }}

  <link href="{{ "/css/font.css" | relURL }}" rel="stylesheet" type="text/css">
  <link href="{{ "/css/kube.min.css" | relURL }}" rel="stylesheet" type="text/css">
  <link href="{{ "/css/kube.legenda.css" | relURL }}" rel="stylesheet" type="text/css">
  <link href="{{ "/css/highlight.css" | relURL }}" rel="stylesheet" type="text/css">
  <link href="{{ "/css/master.css" | relURL }}" rel="stylesheet" type="text/css">
  <link href="{{ "/css/kube.demo.css" | relURL }}" rel="stylesheet" type="text/css">
<!-- Your own theme here -->
 <link href="{{ "/css/custom.css" | relURL }}" rel="stylesheet" type="text/css">
<!-- js vendor -->
  <script src="{{ "/js/jquery-2.1.4.min.js" | relURL }}" type="text/javascript">
  </script>

  <script type="text/javascript" src="{{ "/js/tocbot.min.js" | relURL }}"></script>
</head>


<body class="page-kube">
  <header>{{ block "header" . }}{{ end }}</header>
  <main>{{ block "main" . }}{{ end }}</main>
  <footer>{{ block "footer" . }}{{ end }}</footer>


  <script src="{{ "/js/kube.js" | relURL }}" type="text/javascript">
  </script>
  <script src="{{ "/js/kube.legenda.js" | relURL }}" type="text/javascript">
  </script>
  <script src="{{ "/js/master.js" | relURL }}" type="text/javascript">
  </script>
</body>

</html>
